Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ALiteral

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, IValue, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AMultiValue

All Known Implementing Classes:
  ALiteralImpl, AMultiValueImpl

    public interface ALiteral

extends IValue

A representation of the model object ' ALiteral'.

The following features are supported:

- `Value Literal`

See Also:
  `MetaABMActPackage.getALiteral()`

Method Summary
`java.lang.String` | `getValueLiteral()` Returns the value of the 'Value Literal' attribute.
`void` | `setValueLiteral(java.lang.String value)` Sets the value of the '`Value Literal`' attribute.

Methods inherited from interface org.metaabm.IValue
`getAccessors, getAvailableTypes, references`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValueLiteral

    java.lang.String getValueLiteral()

  Returns the value of the 'Value Literal' attribute.

  If the meaning of the 'Value Literal' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Literal' attribute.
  See Also:
    `setValueLiteral(String)`, `MetaABMActPackage.getALiteral_ValueLiteral()`

### setValueLiteral

    void setValueLiteral(java.lang.String value)

  Sets the value of the '`Value Literal`' attribute.

  Parameters:
    `value` - the new value of the 'Value Literal' attribute.
  See Also:
    `getValueLiteral()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD